compute_stats {rEDM} | R Documentation

## Compute performance metrics for predictions

### Description

Computes the rho, MAE, RMSE, perc, and p-val performance metrics using the compiled C++ function

### Arguments

`observed` | a vector of the observed values
`predicted` | a vector of the corresponding predicted values

### Value

A data.frame with components for the various performance metrics:

num_pred | number of predictions
rho | correlation coefficient between observations and predictions
mae | mean absolute error
rmse | root mean square error
perc | percent correct sign
p_val | p-value that rho is significantly greater than 0 using Fisher's

### Examples

    compute_stats(rnorm(100), rnorm(100))

[Package rEDM version 0.7.2 Index]